# Import Neccesary Abaqus Modules
from abaqusConstants import *
from abaqus import *
from odbAccess import *
import regionToolset
import sys
import os
import interaction
import random
mname='StraightMagic2'
mtype=1
jobName=mname
aModel=mdb.models[mname]
aAss=aModel.rootAssembly
bPart=aModel.parts['Stent1']
random.seed(2344564)
incFile=open('NBR.inc','w')
onSurf=[]
for i in range(0,300000):
	onSurf.append(0)
incFile.write("*INITIAL CONDITIONS,TYPE=SOLUTION \n")
if mtype==1:
	for eachSN in bPart.sets['Set-1'].elements:
		onSurf[eachSN.label]=1
	for eachElement in bPart.elements:
		label=eachElement.label
		nbrs=[]
		for eachNbr in eachElement.getAdjacentElements():
			nbrs.append(eachNbr.label)
		for i in range(0,6-len(eachElement.getAdjacentElements())):
			nbrs.append(0)
		if onSurf[label]==1:
			rnum=random.weibullvariate(1.,0.2)
		else:
			rnum=0.					
		incFile.write("Assembly.Stent1-1.%i, %i, %i, %i, %i, %i, %i, %i, \n"%(label,label,
				nbrs[0],nbrs[1],nbrs[2],nbrs[3],nbrs[4],nbrs[5]))								
		incFile.write("%i, %f, %i, %i, \n"%(0,rnum,onSurf[label],0))								
incFile.close()	
	